# RoboCup Small Size League Python Log Tools

This package supports a minimal interface to parse and analyze log files generated by the RoboCup Small Size League.

## Installation
**rc-ssl-logtools** is on the PyPi package index. It can be installed by simply running the below command.
```
pip3 install rc-ssl-logtools
```
## Use
**rc-ssl-logtools** comes with a simple script to verify that the system is working. Download a log from http://wiki.robocup.org/Small_Size_League/Game_Logs, and run the below command. It will print all messages from time 0.0 seconds to 10.0 seconds.
```
ssldump -s 0.0 -d 10.0 <rc_ssl_logfile.gz>
```

**rc-ssl-logtools** allows python scripts to programmatically access these protobuf messages as well. This is how the `ssldump` script is implemented.
```python3
#!/usr/bin/env python3

import rc_ssl_logtools

frames = rc_ssl_logtools.log_frames(args.file, args.start_time, args.duration)

for f in frames:
    print(f)
```
